# Creating a pull request

## Style

### Languages
Use any languages you want and work.

### Prefixes
Don't put prefixes for classes.

### Marks
Put `-` in marks.

For protocools or super classes in marks, remove modules prefix, put spaces between words, a capital at start, and no capitals after.

For example, use: `// MARK: - The name of protocool` instead of `// MARK: - PTTheNameOfProtocool`

### Documentation
Put fullstops after documented comments.

### Tabs
Use 4 spaces tabs.

## Hierarchy

Respect the hierarchy.

- Put shared sources inside the [Pisth Shared](https://github.com/ColdGrub1384/Pisth/tree/master/Pisth%20Shared/Pisth%20Shared) directory and group.

- Put HTML, CSS and JavaScript sources for the terminal inside the [Pisth Terminal](https://github.com/ColdGrub1384/Pisth/tree/master/Pisth%20Terminal/Pisth%20Terminal) directory and group.

- Put sources for Pisth iOS app inside the [Pisth](https://github.com/ColdGrub1384/Pisth/tree/master/Pisth) directory and group and put sources for Pisth Viewer macOS app inside the [Pisth Viewer](https://github.com/ColdGrub1384/Pisth/tree/master/Pisth%20Viewer) directory and group.

## Documentation

If you want to contribute to the documentation, don't edit the `docs` directory, but just [document the code](http://nshipster.com/swift-documentation/), the page will be generated by me with [Jazzy](https://github.com/realm/jazzy), or if you want, generate it yourself.

### Generate documentation for the API

Only do that if you modified code on `Pisth API`.

- Install Jazzy:

[sudo] gem install jazzy

- And run the [`Pisth API/build-documentation.sh`](https://github.com/ColdGrub1384/Pisth/blob/master/Pisth%20API/build-documentation.sh) script inside [`Pisth API`](https://github.com/ColdGrub1384/Pisth/tree/master/Pisth%20API).

- Increment `version` field in `docs/docsets/Pisth_API.xml`
